> For the complete documentation index, see [llms.txt](https://svpchain.gitbook.io/svpchain-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://svpchain.gitbook.io/svpchain-docs/reference/chain-parameters.md).

# Chain parameters

***

### description: Chain IDs, native token, gas, block parameters, and limits.

## Chain parameters

These values are protocol-level constants. Many integrations break on silent parameter changes — treat this page as the contract.

#### Identifiers

| Parameter             | Mainnet       | Testnet       |
| --------------------- | ------------- | ------------- |
| EVM chain ID          | `2518`        | `2517`        |
| Cosmos chain ID       | `svp-2518-1`  | `svp-2517-1`  |
| Bech32 address prefix | `svp`         | `svp`         |
| Binary                | `svpchaind`   | `svpchaind`   |
| Node home             | `~/.svpchain` | `~/.svpchain` |

#### Native token

| Parameter             | Value                       |
| --------------------- | --------------------------- |
| Symbol                | `SVP`                       |
| Smallest denomination | `asvp`                      |
| Decimals              | `18` (`1 SVP = 10^18 asvp`) |
| Use                   | Gas, staking, governance    |

#### Block production

| Parameter     | Value                                |
| ------------- | ------------------------------------ |
| Consensus     | CometBFT (Tendermint) PoS            |
| Block time    | \~1 second (`timeout_commit = "1s"`) |
| Finality      | Single-block (instant — no reorgs)   |
| Validator set | Permissioned (partner-only today)    |

#### Gas

| Parameter         | Value                        |
| ----------------- | ---------------------------- |
| EIP-1559          | Enabled                      |
| Default base fee  | `1.9 Gwei`                   |
| Minimum gas price | `2 Gwei` (`2000000000 asvp`) |
| Block gas limit   | `1,000,000,000` gas (1G)     |

#### Default node ports

| Surface                   | Port    |
| ------------------------- | ------- |
| CometBFT P2P              | `26656` |
| CometBFT RPC              | `26657` |
| Prometheus (CometBFT)     | `26660` |
| Cosmos REST               | `1317`  |
| Cosmos gRPC               | `9090`  |
| EVM JSON-RPC              | `8545`  |
| EVM WebSocket             | `8546`  |
| Slinky oracle (validator) | `8090`  |

#### Bridge

| Parameter                  | Value                                                                         |
| -------------------------- | ----------------------------------------------------------------------------- |
| Direction                  | Ethereum ↔ SVPChain                                                           |
| Testnet counterparts       | Ethereum **Sepolia** and **Arbitrum Sepolia**                                 |
| Mainnet counterpart        | Ethereum **Mainnet** (pending)                                                |
| Contract base              | Forked from Hyperliquid bridge contracts                                      |
| Testnet contract addresses | [Bridge contract table](/svpchain-docs/reference/testnet-contracts.md#bridge) |

#### EVM precompiles

Static precompiles are hard-coded in `svpchaind`. They must also appear in genesis `app_state.evm.params.active_static_precompiles` to be callable on a given network.

**Cosmos EVM extensions (`cosmos/evm`)**

| Module    | Address                                      |
| --------- | -------------------------------------------- |
| Bech32    | `0x0000000000000000000000000000000000000400` |
| Bank      | `0x0000000000000000000000000000000000000804` |
| BankERC20 | `0x0000000000000000000000000000000000000807` |

**SVPChain protocol (`protocol/precompiles`)**

| Module      | Address                                      |
| ----------- | -------------------------------------------- |
| CLOB        | `0x0000000000000000000000000000000000000900` |
| Sending     | `0x0000000000000000000000000000000000000901` |
| Vault       | `0x0000000000000000000000000000000000000902` |
| AccountPlus | `0x0000000000000000000000000000000000000903` |
| Listing     | `0x0000000000000000000000000000000000000904` |
| Affiliates  | `0x0000000000000000000000000000000000000905` |
| Subaccounts | `0x0000000000000000000000000000000000000906` |
| Perpetuals  | `0x0000000000000000000000000000000000000907` |
| Prices      | `0x0000000000000000000000000000000000000908` |
| Fee tiers   | `0x0000000000000000000000000000000000000909` |
| Rewards     | `0x000000000000000000000000000000000000090a` |
| Stats       | `0x000000000000000000000000000000000000090b` |

#### Next steps

| Reference              | Link                                                    |
| ---------------------- | ------------------------------------------------------- |
| Endpoints and explorer | [networks.md](/svpchain-docs/chain/networks.md)         |
| Run a node             | [run-a-node.md](/svpchain-docs/chain/run-a-node.md)     |
| Architecture overview  | [architecture.md](/svpchain-docs/chain/architecture.md) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://svpchain.gitbook.io/svpchain-docs/reference/chain-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
